# This file is part of GooCalendar.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.

try:
    from gi import pygtkcompat
except ImportError:
    pygtkcompat = None

if pygtkcompat is not None:
    pygtkcompat.enable()
    pygtkcompat.enable_gtk(version='3.0')

try:
    import gi
    gi.require_version('GooCanvas', '2.0')
    from gi.repository import GooCanvas as goocanvas
except ImportError:
    import goocanvas

import pango

if not hasattr(goocanvas, 'Text'):
    goocanvas.Text = goocanvas.CanvasText

if hasattr(pango, 'Rectangle'):
    def getitem(self, i):
        return [self.x, self.y, self.width, self.height][i]
    pango.Rectangle.__getitem__ = getitem

from ._calendar import Calendar
from ._event import Event, EventStore

__all__ = ['Calendar', 'EventStore', 'Event']
__version__ = '0.4'
